From eaf8435005e2637ce76690c71f729e6b3685d973 Mon Sep 17 00:00:00 2001
From: Mart Raudsepp <leio@gentoo.org>
Date: Tue, 5 Mar 2019 19:22:58 +0200
Subject: [PATCH] build: Always install man page

It's already generated and shouldn't be thrown in the same pot as
full gtk-doc generation. It should be either a separate `man` option,
or just always installed.
---
 docs/meson.build | 4 +++-
 meson.build      | 4 +---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/docs/meson.build b/docs/meson.build
index b039cb631..2b1800be6 100644
--- a/docs/meson.build
+++ b/docs/meson.build
@@ -1,3 +1,5 @@
 install_man('nautilus.1')
 
-subdir('reference')
+if get_option('docs')
+  subdir('reference')
+endif
diff --git a/meson.build b/meson.build
index 4b64239ac..88fe73237 100644
--- a/meson.build
+++ b/meson.build
@@ -152,9 +152,7 @@ if get_option('tests') != 'none'
 endif
 subdir('data')
 subdir('po')
-if get_option('docs')
-  subdir('docs')
-endif
+subdir('docs')
 if get_option('extensions')
   subdir('extensions')
 endif
-- 
2.17.0

